Bug 1307589 - gparted: FTBFS in rawhide
gparted: FTBFS in rawhide
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mukundan Ragavan
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F24FTBFS
  Show dependency treegraph
 
Reported: 2016-02-13 16:31 EST by Fedora Release Engineering
Modified: 2016-02-18 20:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-16 21:23:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
build.log (154.27 KB, text/plain)
2016-02-13 16:31 EST, Fedora Release Engineering
no flags Details
root.log (111.45 KB, text/plain)
2016-02-13 16:31 EST, Fedora Release Engineering
no flags Details
state.log (625 bytes, text/plain)
2016-02-13 16:31 EST, Fedora Release Engineering
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 762184 None None None 2016-02-17 08:39 EST

  None (edit)
Description Fedora Release Engineering 2016-02-13 16:31:49 EST
Your package gparted failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=12821582

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
Comment 1 Fedora Release Engineering 2016-02-13 16:31:51 EST
Created attachment 1124831 [details]
build.log
Comment 2 Fedora Release Engineering 2016-02-13 16:31:53 EST
Created attachment 1124832 [details]
root.log
Comment 3 Fedora Release Engineering 2016-02-13 16:31:54 EST
Created attachment 1124833 [details]
state.log
Comment 4 Yaakov Selkowitz 2016-02-16 16:13:33 EST
See <https://bugzilla.gnome.org/show_bug.cgi?id=756035#c4>.  A simple, but not thoroughly correct, fix is to make %{_datadir}/pixmaps/gparted.png conditional on %if 0%{?fedora} < 24.
Comment 5 Mukundan Ragavan 2016-02-16 20:36:20 EST
(In reply to Yaakov Selkowitz from comment #4)
> See <https://bugzilla.gnome.org/show_bug.cgi?id=756035#c4>.  A simple, but
> not thoroughly correct, fix is to make %{_datadir}/pixmaps/gparted.png
> conditional on %if 0%{?fedora} < 24.


Looking at the build logs, that's exactly what I was thinking ... 

I'll push that now and if there is a better fix I can update the package later.
Comment 6 Upstream Release Monitoring 2016-02-16 20:59:56 EST
nonamedotc's gparted-0.25.0-3.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=736466
Comment 7 Yaakov Selkowitz 2016-02-18 17:26:53 EST
(In reply to Mukundan Ragavan from comment #5)
> I'll push that now and if there is a better fix I can update the package
> later.

FWIW, the proper fix for this is now upstream:

https://git.gnome.org/browse/gparted/commit/?id=ff9aeb809277b03c2d46fb16985933cf4adae061

You'd have to BR: autoconf automake libtool, apply that patch then run autoreconf -fiv in %setup, and remove %{_datadir}/pixmaps/gparted.png from %files entirely.

Or, just wait for the next version and do just the last step.
Comment 8 Mukundan Ragavan 2016-02-18 20:36:38 EST
Thanks Yaakov. I will see if there is a new version that's planned ... if that's going to take a while I will push this as a patch instead.

Note You need to log in before you can comment on or make changes to this bug.